<template>
  <h2>Ref</h2>
  <div class='dangerous'>Hello: {{ name }}</div>
  <button @click="saluteBrandon">Salute Brandon</button>
  <h2>Reactive</h2>
  <div>User name:{{ user.name }}</div>
  <div>User age: {{ user.age }}</div>
  <button @click="setReactiveValues">Set Reactive Values</button>
</template>

<script setup>
import { ref, reactive } from 'vue'

const name = ref('Israel Morales')

const user = reactive({
  name: '',
  age: ''
})

function saluteBrandon() {
  name.value = 'Brandon Ratzloff'
}

function setReactiveValues() {
  user.name = 'Israel Morales'
  user.age = '38'
}
</script>
